Get asset metadata by ID
HEAD
/api/assets/{configId}/{assetId}/{rendition}
const url = 'https://example.com/api/assets/example/example/example?format=webp&version=latestpublished&download=true';const options = {method: 'HEAD', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request HEAD \ --url 'https://example.com/api/assets/example/example/example?format=webp&version=latestpublished&download=true' \ --header 'Authorization: Bearer <token>'Returns headers with asset metadata (content-type, content-length, etc.) without the body. Used for streaming media.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”configId
required
string
assetId
required
string
rendition
required
string
Query Parameters
Section titled “Query Parameters”format
Output format for the asset (e.g., webp, jpg)
string
Example
webpversion
Version of the asset to retrieve (e.g., ‘latest’, ‘latestpublished’, or specific version number)
string
Example
latestpublisheddownload
If set, forces download with Content-Disposition header
string
Example
trueResponses
Section titled “Responses”Asset metadata in headers
Asset not found